<?php

namespace metatable;

use phpcommon;

/*
  配置表规范
  getXXXConf:获取表所有数据
  getXxxById():通过id获取单个数据
  _internalGetXXXConf:获取表所有数据内部实现不对外开放

  使用方式
  require_once 'metatable/XXXX.php';

  !!!注意必须使用require_once
 */

function getEquipConf()
{
    return _internalGetEquipConf();
}

function getEquipById($equip_id)
{
    $conf = getEquipConf();
    $equip_id = (int)$equip_id;
    return array_key_exists($equip_id, $conf) ? $conf[$equip_id] : null;
}

function _internalGetEquipConf()
{
    global $g_equip_table;
    if (!$g_equip_table) {
        $g_equip_table = require(getConfigBaseDir() . 'equip@equip.php');
    }
    return $g_equip_table;
}
