<?php

namespace metatable;

/*
  配置表规范
  getXXXConf:获取表所有数据
  getXxxById():通过id获取单个数据
  _internalGetXXXConf:获取表所有数据内部实现不对外开放

  使用方式
  require_once 'metatable/XXXX.php';

  !!!注意必须使用require_once
 */

function getRechargeActivityConf()
{
    return _internalGetRechargeActivityConf();
}

function getRechargeActivityById($shop_id)
{
    $conf = getRechargeActivityConf();
    $shop_id = (int)$shop_id;
    return array_key_exists($shop_id, $conf) ? $conf[$shop_id] : null;
}

function _internalGetRechargeActivityConf()
{
    global $g_rechargeActivity_table;
    if (!$g_rechargeActivity_table) {
        $g_rechargeActivity_table = require(getConfigBaseDir() . 'rechargeactivity@rechargeactivity.php');
    }
    return $g_rechargeActivity_table;
}
