<?php

namespace metatable;

use phpcommon;

function getDrawConf()
{
    return _internalGetDrawConf();
}

function getDrawById($draw_id)
{
    $conf = getDrawConf();
    $draw_id = (int)$draw_id;
    return array_key_exists($draw_id, $conf) ? $conf[$draw_id] : null;
}

function _internalGetDrawConf()
{
    global $g_draw_table;
    if (!$g_draw_table) {
        $g_draw_table = require(getConfigBaseDir() . 'draw@draw.php');
    }
    return $g_draw_table;
}
