<?php

namespace metatable;

/*
  配置表规范
  getXXXConf:获取表所有数据
  getXxxById():通过id获取单个数据
  _internalGetXXXConf:获取表所有数据内部实现不对外开放

  使用方式
  require_once 'metatable/XXXX.php';

  !!!注意必须使用require_once
 */

function getPrivilegeCardConf()
{
    return _internalGetPrivilegeCardConf();
}

function getPrivilegeCardById($shop_id)
{
    $conf = getPrivilegeCardConf();
    $shop_id = (int)$shop_id;
    return array_key_exists($shop_id, $conf) ? $conf[$shop_id] : null;
}

function _internalGetPrivilegeCardConf()
{
    global $g_privilegeCard_table;
    if (!$g_privilegeCard_table) {
        $g_privilegeCard_table = require(getConfigBaseDir() . 'privilegecard@privilegecard.php');
    }
    return $g_privilegeCard_table;
}
